<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
</head>
<body>
<h1 id="genericons">Genericons</h1>

<p>Genericons are vector icons embedded in a webfont designed to be clean and simple keeping with a generic aesthetic.</p>

<p>Use genericons for instant HiDPI, to change icon colors on the fly, or even with CSS effects such as drop-shadows or gradients!</p>

<h2 id="usage">Usage</h2>

<p>To use it, place the <code>genericons</code> folder in your stylesheet directory and enqueue the genericons.css file. Now you can create an icon like this:</p>

<pre><code>.my-icon:before {
    content: '\f101';
    font: normal 16px/1 'Genericons';
    display: inline-block;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
</code></pre>

<p>This will output a comment icon before every element with the class &#8220;my-icon&#8221;. The <code>content: '\f101';</code> part of this CSS is easily copied from the helper tool at http://genericons.com/, or <code>example.html</code> in the <code>font</code> directory.</p>

<p>You can also use the bundled example.css if you&#8217;d rather insert the icons using HTML tags.</p>

<h2 id="buildingyourowngenericons">Building your own Genericons</h2>

<p>In the <code>source</code> directory, you&#8217;ll find all Genericons source icons in SVG format. This will allow you to bake your own flavor of Genericons using a tool such as FontCustom (http://fontcustom.com) or Fontello (http://fontello.com). Perhaps you need more logos than are available in the base Genericons package? Just add those logos and bake your own expanded set. Maybe you need just a few of the icons Genericons provides, but would like to trim the fat? Remove the ones you won&#8217;t need!</p>

<h3 id="fontcustominstructions">FontCustom instructions</h3>

<p>FontCustom is a powerful commandline tool which which bakes icon fonts from the SVG source files. It&#8217;s the tool Genericons is built on, and it provides highly accurate and perfectly crisp icons, <em>provided all SVGs have the same pixel height</em>.</p>

<p>It&#8217;s not that hard to use, and once it&#8217;s installed you&#8217;ll never think of icon-fonts the same way again. Seriously, you should try it. Icon fonts for everyone!</p>

<ol>
<li>Install FontCustom. Follow the instructions on the website: http://fontcustom.com/</li>
<li>In the <code>source</code> directory from the Genericons download, open the file called <code>fontcustom.yml</code> in a text editor. Customize the <code>font_name</code> and <code>css_selector</code>.</li>
<li>Open a terminal. Browse to the <code>source</code> directory. Type <code>fontcustom compile</code>.</li>
</ol>

<p>You&#8217;ll now receive a brand new subdirectory called <code>fontcustom-webfont</code>. Inside here you&#8217;ll find your very own flavor of Genericons, with only the icons you want, including a handy example page that&#8217;ll help you copy/paste the necessary glyphs or CSS values. </p>

<p><em>Please note</em>: In the source directory, there&#8217;s a hidden file called <code>.fontcustom-manifest.json</code>. This file is auto-generated by the FontCustom tool, and holds codepoints (unicode addresses) for every glyph, so its address doesn&#8217;t change when you add or remove icons. If you feel the need to &#8220;start fresh&#8221; with the unicode addresses, you should delete this file. </p>

<h3 id="fontelloinstructions">Fontello instructions</h3>

<p>Fontello is very easy to use. Just drop the SVG files of the icons you want onto their website and download the font. The downside is that Fontello seems to ignore the 16px pixelgrid, so you&#8217;ll end up with fuzzy icons. Buyer beware.</p>

<h2 id="notes">Notes</h2>

<p><strong>Photoshop mockups</strong></p>

<p>The <code>Genericons.ttf</code> file can be placed in your system fonts folder and used Photoshop or other graphics apps if you like.</p>

<p>If you&#8217;re using Genericons in your Photoshop mockups, please remember to delete the old version of the font from Font Book, and grab the new one from the zip file. This also affects using it in your webdesigns: if you have an old version of the font installed locally, that&#8217;s the font that&#8217;ll be used in your website as well, so if you&#8217;re missing icons, check for old versions of the font on your system.</p>

<p><strong>Pixel grid</strong></p>

<p>Genericons has been designed for a 16x16px grid. That means it&#8217;ll look sharp at font-size: 16px exactly. It&#8217;ll also be crisp at multiples thereof, such as 32px or 64px. It&#8217;ll look reasonably crisp at in-between font sizes such as 24px or 48px, but not quite as crisp as 16 or 32. Please don&#8217;t set the font-size to 17px, though, that&#8217;ll just look terrible blurry.</p>

<p><strong>Antialiasing</strong></p>

<p>If you keep intact the <code>-webkit-font-smoothing: antialiased;</code> and <code>-moz-osx-font-smoothing: grayscale;</code> CSS properties. That&#8217;ll make the icons look their best possible, in Firefox and WebKit based browsers.</p>

<p><strong>optimizeLegibility</strong></p>

<p>Note: On Android browsers with version 4.2, 4.3, and probably later, Genericons will simply not show up if you&#8217;re using the CSS property &#8220;text-rendering&#8221; set to &quot;optimizeLegibility.</p>

<p><strong>Updates</strong></p>

<p>We don&#8217;t often update icons, but do very carefully when we get good feedback suggesting improvements. Please be mindful if you upgrade, and check that the updated icons behave as you intended.</p>

<p><strong>Base64 encoding</strong></p>

<p>By default, Genericons ships with a stylesheet that includes a base64 encoded version of the font. This is to sidestep issues with cross-origin requests for fonts, that happen when a stylesheet loads a font that&#8217;s stored on a different domain or subdomain. This is very common when using caching plugins.</p>

<p>Base64 encoding comes with a 25% filesize overhead compared to just loading the WOFF file directly. If you know that you won&#8217;t be loading fonts across domains, or have the ability to edit your server config files to allow it, you can get slightly faster performance by loading Genericons without the base64 encoding. Simply edit <code>genericons.css</code> and edit the <code>@font-face</code> declaration to match this:</p>

<pre><code>@font-face {
    font-family: 'Genericons';
        src: url('Genericons.woff') format('woff'),
        url('Genericons.ttf') format('truetype'),
        url('Genericons.svg#genericonsregular') format('svg');
    font-weight: normal;
    font-style: normal;
}
</code></pre>

<h2 id="changelog">Changelog</h2>

<p><strong>3.4.1</strong></p>

<ul>
<li>IE8 support restored.</li>
</ul>

<p><strong>3.4</strong></p>

<ul>
<li>Updated: Update Google Plus icon to new geometric version. This also <em>retires</em> the &#8220;alt&#8221; version, so *please be mindful if you choose to update, make sure you use the <code>f206</code> glyph, not the <code>f218</code> glyph, as it no longer exists!</li>
<li>New: Added helper rotation classes to the base CSS, thanks to geminorum. Apply <code>genericon-rotate-90</code> to rotate 90 degrees, &#8211;180, &#8211;270. Or <code>genericon-flip-horizontal</code> or -vertical.</li>
</ul>

<p><em>Again, it is important if you choose to update to this version, make sure you&#8217;re not using <code>genericon-googleplus-alt</code> or unicode character <code>f218</code>, as that has been retired! Use <code>genericon-googleplus</code> and glyph <code>f206</code> instead!</em></p>

<p><strong>3.3.1</strong></p>

<p>Security Hardening: Remove Genericons example.html file. Please visit genericons.com instead.</p>

<p><strong>3.3</strong></p>

<p>The Open Source release.</p>

<p>You can now build your own flavors of Genericons with all the SVGs provided. </p>

<p><strong>3.2</strong></p>

<p>A number of new icons and a couple of quick updates. </p>

<ul>
<li>New: Activity</li>
<li>New: HTML anchor</li>
<li>New: Bug</li>
<li>New: Download</li>
<li>New: Handset</li>
<li>New: Microphone</li>
<li>New: Minus</li>
<li>New: Plus</li>
<li>New: Move</li>
<li>New: Rating stars, empty, half, full</li>
<li>New: Shuffle</li>
<li>New: video camera</li>
<li>New: Spotify</li>
<li>New: Twitch</li>
<li>Update: Fixed geometry in Edit icon</li>
<li>Update: Updated Foursquare icon</li>
<li>IE8 bugfix, slipstreamed into this.</li>
</ul>

<p>Twitch and Spotify mark the last social icons that will be added to Genericons.
Future social icons will have to happen in a separate font. </p>

<p><strong>3.1</strong></p>

<p>Genericons is now generated using a commandline tool called FontCustom. This makes it far easier to add new icons to the font, but the switch means the download zip now has a different layout, fonts have different filenames, there&#8217;s now no .otf font included (but the .ttf should suffice), and the font now has slightly different metrics. I&#8217;ve taken great care to ensure this new version should work as a drop-in replacement, but please be mindful and test carefully if you choose to upgrade.</p>

<ul>
<li>Per feedback, the baked-in 16px width and height has been removed from the helper CSS. It wasn&#8217;t really necessary (the glyph itself has these dimensions naturally), and it caused some headaches.</li>
<li>Base64 encoding is now included by default in the helper CSS. This makes it drop-in easy to get Genericons working in Firefox even when using a CDN.</li>
<li>Title attribute on website tool.</li>
<li>New: Website.</li>
<li>New: Ellipsis.</li>
<li>New: Foursquare.</li>
<li>New: X-post.</li>
<li>New: Sitemap.</li>
<li>New: Hierarchy.</li>
<li>New: Paintbrush.</li>
<li>Updated: Show and Hide icons were updated for clarity.</li>
</ul>

<p><strong>3.0.3</strong></p>

<p>Bunch of updates mostly.</p>

<ul>
<li>Two new icons, Dropbox and Fullscreen.</li>
<li>Updates to all icons containing an exclamation mark.</li>
<li>Updates to Image and Quote.</li>
<li>Nicer &#8220;Share&#8221; icon.</li>
<li>Bigger default Linkedin icon.</li>
</ul>

<p><strong>3.0.2</strong></p>

<p>A slew of new stuff and updates.</p>

<ul>
<li>Social icons: Skype, Digg, Reddit, Stumbleupon, Pocket.</li>
<li>New generic icons: heart, lock and print.</li>
<li>New editing icons: code, bold, italic, image</li>
<li>New interaction icons: subscribe, unsubscribe, subscribed, reply all, reply, flag.</li>
<li>The hyperlink icon has been updated to be clearer, chunkier.</li>
<li>The &#8220;home&#8221; icon has been updated for style, size and clarity.</li>
<li>The email icon has been updated for style and clarity, and to fit with the new subscribe icons.</li>
<li>The document icon has been updated for style.</li>
<li>The &#8220;pin&#8221; icon has been updated for style and clarity.</li>
<li>The Twitter icon has been scaled down to fit with the other social icons.</li>
</ul>

<p><strong>3.0.1</strong></p>

<p>Mostly maintenance. </p>

<ul>
<li>Fixed an issue with the example page that showed an old &#8220;top&#8221; icon instead of the actual NEW &#8220;refresh&#8221; icon.</li>
<li>Added inverse Google+ and Path.</li>
<li>Replaced tabs with spaces in the helper CSS.</li>
<li>Changed the Genericons.com copy/paste tool to serve span&#8217;s instead of div&#8217;s for casual icon insertion. It&#8217;s being converted to &#8220;inline-block&#8221; anyway.</li>
</ul>

<p><strong>3.0</strong></p>

<p>Mainly maintenance and a few new icons.</p>

<ul>
<li>Fast forward, rewind, PollDaddy, Notice, Info, Help, Portfolio</li>
<li>Updated the feed icon. It&#8217;s a bit smaller now for consistency, the previous one was rather big.</li>
<li>So, the previous version numbering, 2.09, wasn&#8217;t very PHP version compare friendly. So from now on it&#8217;ll be 3.0, 3.1 etc. Props Ipstenu.</li>
<li>Genericons.com now has a mini release blog.</li>
<li>The CSS has prettier formatting, props Konstantin Obenland.</li>
</ul>

<p><strong>2.09</strong></p>

<p>Updated Facebook icon to new version. Updated Instagram logo to use new one-color version. Updated Google+ icon to use same radius as Instagram and Facebook. Added a bunch of new icons, cog, unapprove, cart, media player buttons, tablet, send to tablet. </p>

<p><strong>2.06</strong></p>

<p>Included Base64 encoded version. This is necessary for Genericons to work with CDNs in Firefox. Firefox blocks fonts linked from a different domain. A CDN (typically s.example.com) usually puts the font on a subdomain, and is hence blocked in Firefox.</p>

<p><strong>2.05</strong></p>

<p>Added a bunch of new icons, including upload to cloud, download to cloud, many more.</p>

<p><strong>2.0</strong></p>

<p>Initial public release</p>

</body>
</html>
